Bug 483388 - Problem with detection of laptop lid open/close
Problem with detection of laptop lid open/close
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: guidance-power-manager (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 07:59 EST by Troels Kofoed Jacobsen
Modified: 2009-11-18 16:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 16:17:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 175682 None None None Never

  None (edit)
Description Troels Kofoed Jacobsen 2009-01-31 07:59:07 EST
Description of problem:
My screen doesn't lock when laptop lid is closed, although this is set in guidance power manager.

Also once in a while (every 5th boot or so) when i start kde i get the message:
"Laptop lid is closed, blanking screen now"
This appears in a popup, and afterwords the screen blanks briefly, and i have to type my password to unlock.

Version-Release number of selected component (if applicable):
I have have had this problem since the release of Fedora 10. 
(I have not had this problem on other dists before changing to Fedora when version 10 arrived, so it is probably not hardware related)

I'm using up to date Fedora 10 (kernel 2.6.27.12-170.2.5.fc10.x86_64) with kde4 (4.1.4)

NOTE:
I'm not sure this is guidance-power-manager related, maybe it is in kernel and/or acpi
Comment 1 Rex Dieter 2009-01-31 08:44:54 EST
rpm -q acpid dbus guidance-power-manager kdelibs

If acpid isn't installed, please do so (and ensure you have the latest dbus):
yum install acpid dbus
and reboot.

Do problems persist?
Comment 2 Troels Kofoed Jacobsen 2009-01-31 08:51:46 EST
They are both installed and updated:

Package acpid-1.0.6-9.fc10.x86_64 already installed and latest version
Package 1:dbus-1.2.4-2.fc10.x86_64 already installed and latest version
Comment 3 Troels Kofoed Jacobsen 2009-01-31 08:54:27 EST
Oups forgot something:
rpm -q acpid dbus guidance-power-manager kdelibs:
acpid-1.0.6-9.fc10.x86_64
dbus-1.2.4-2.fc10.x86_64
guidance-power-manager-4.1.3-1.fc10.x86_64
kdelibs-4.1.4-2.fc10.x86_64
Comment 4 Orion Poplawski 2009-03-02 12:14:16 EST
See upstream bug for a patch to fix the mis-detection on login issue.  Still present in 4.2.0-1.
Comment 5 Rex Dieter 2009-03-02 12:23:05 EST
Thanks, we'll give the patch a whirl, and recommend and push harder for upstream inclusion once it's been field-tested a bit more.
Comment 6 Steven M. Parrish 2009-04-27 14:08:32 EDT
Still an issue or did the patch solve the problem?
Comment 7 Troels Kofoed Jacobsen 2009-04-27 14:26:30 EDT
I'm on 4.2.2 now and using the included power-devil instead of guidance. I'm still seeing some strangeness, though. E.g. it sometimes suspends when unplugging power, regardless of battery state. Laptop lid open/close does not seem to be registered.
Comment 8 Steven M. Parrish 2009-09-07 21:50:25 EDT
Ping any movement on this Rex?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2009-11-18 05:56:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Steven M. Parrish 2009-11-18 16:17:50 EST
With F10 going EOL next month, and the fact that this package has been retired going to close this as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.